Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsItem.Extension

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsItem.Extension

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsItem

    public static final class QGraphicsItem.Extension

extends java.lang.Enum
implements QtEnumerator

This enum describes the types of extensions that the plugin factory can support. Before using these extensions, you should verify that the extension is supported by calling supportsExtension().

Currently there are no extensions.

See Also:
  Serialized Form

Field Summary
`static QGraphicsItem.Extension` | `UserExtension`

Method Summary
`static QGraphicsItem.Extension` | `resolve(int value)` Returns the Extension constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsItem.Extension` | `valueOf(java.lang.String name)`
`static QGraphicsItem.Extension[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UserExtension

    public static final QGraphicsItem.Extension UserExtension

Method Detail

### values

    public static QGraphicsItem.Extension[] values()

### valueOf

    public static QGraphicsItem.Extension valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsItem.Extension resolve(int value)

  Returns the Extension constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD